import EmberObject from '@ember/object';
import { run } from '@ember/runloop';
import { moduleForComponent, test } from 'ember-qunit';

moduleForComponent('uic-context-menu', 'Unit | Component | uic context menu', {
  needs: [
    'component:uic-context-menu-container',
    'component:uic-content-mask',
    'service:context-menu',
    'service:lookup'
  ],
  unit: true,
  beforeEach() {
    this.inject.service('context-menu', {as: 'contextMenuService'});
  }
});

test('it renders', function(assert) {
  assert.expect(2);
  var component = this.subject();
  assert.equal(component._state, 'preRender');
  this.render();
  assert.equal(component._state, 'inDOM');
});

test('showContextMenu', function(assert) {
  assert.expect(1);
  var component = this.subject();
  this.render();
  assert.equal(component.get('showContextMenu'), false);
});

test('_closeContextMenu() method', function(assert) {
  assert.expect(1);

  var component = this.subject({
    contextMenuService: {
      close: () => assert.ok(true)
    }
  });
  this.render();
  run(() => component._closeContextMenu());
});

test('contextMenu() event', function(assert) {
  assert.expect(3);

  let event = {
    preventDefault: () => assert.ok(true)
  };
  let component = this.subject({
    elementId: 'menu-1',
    contextMenuService: EmberObject.create({
      toggle: (menu, e) => {
        assert.equal(menu, 'menu-1');
        assert.deepEqual(e, event);
      }
    })
  });
  this.render();
  component.contextMenu(event);
});

test('closeContextMenu action', function(assert) {
  assert.expect(1);
  var component = this.subject();
  component.set('_closeContextMenu', () => assert.ok(true));
  this.render();
  run(() => component.send('closeContextMenu'));
});
